aboutsummaryrefslogtreecommitdiff
path: root/package/wireguard-linux-compat
Commit message (Collapse)AuthorAgeFilesLines
* package/wireguard-linux-compat: bump version to 1.0.20200908Gravatar Peter Korsgaard2020-09-262-3/+3
| | | | | | | | Fixes a race condition. For details, see the announcement: https://lists.zx2c4.com/pipermail/wireguard/2020-September/005817.html Signed-off-by: Peter Korsgaard <peter@korsgaard.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/wireguard-linux-compat: bump version to 1.0.20200623Gravatar Peter Korsgaard2020-06-242-3/+3
| | | | | | | | Includes a number of bugfixes and updates to build against newer stable kernels. Signed-off-by: Peter Korsgaard <peter@korsgaard.com> Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>
* package/wireguard-linux-compat: bump version to 1.0.20200506Gravatar Peter Korsgaard2020-05-122-3/+3
| | | | | | | Synchronizes with upstream 5.7-rc5. For details, see the announcement: https://lists.zx2c4.com/pipermail/wireguard/2020-May/005408.html Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/wireguard-linux-compat: bear the kernel options mungingGravatar Yann E. MORIN2020-05-011-0/+8
| | | | | | Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr> Cc: Peter Korsgaard <peter@korsgaard.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/wireguard-linux-compat: bump version to 1.0.20200413Gravatar Peter Korsgaard2020-04-252-3/+3
| | | | | | | | For details, see the announcement: https://lists.zx2c4.com/pipermail/wireguard/2020-April/005295.html Signed-off-by: Peter Korsgaard <peter@korsgaard.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/wireguard-linux-compat: tweak kernel-headers < 5.6 logicGravatar Peter Korsgaard2020-04-251-2/+1
| | | | | | | | | | | | | The reason why the external wireguard kernel module is not allowed with kernel headers >= 5.6 is that wireguard is included in the upstream kernel since 5.6 rather than some kind of (fixable) incompatibility issue. Adjust the comment to make that clear. While we're at it, drop the redundant !5.6 dependency on the kernel headers dependency comment. If headers are older than 3.10, then they are also older than 5.6, so the statement is redundant. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/wireguard-linux-compat: depend on headers < 5.6Gravatar James Hilliard2020-04-241-1/+5
| | | | | | | | | Since wireguard is built into kernels 5.6 and later we can't build wireguard-linux-compat on them, so we need to depend on !BR2_TOOLCHAIN_HEADERS_AT_LEAST_5_6. Signed-off-by: James Hilliard <james.hilliard1@gmail.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
* package/wireguard-linux-compat: bump version to 1.0.20200401Gravatar Peter Korsgaard2020-04-042-3/+3
| | | | | | | | | Matching the now-mainline wireguard code in kernel 5.6. For details, see the announcement: https://lists.zx2c4.com/pipermail/wireguard/2020-April/005237.html Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/wireguard-linux-compat: bump version to 0.0.20200215Gravatar Peter Korsgaard2020-02-162-3/+3
| | | | | | | | Fixes a regression introduced in 0.0.20200214. For details, see the announcement: https://lists.zx2c4.com/pipermail/wireguard/2020-February/005014.html Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/wireguard-linux-compat: bump version to 0.0.20200214Gravatar Peter Korsgaard2020-02-152-3/+3
| | | | | | | Includes misc fixes. For details, see the announcement: https://lists.zx2c4.com/pipermail/wireguard/2020-February/005013.html Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/wireguard-linux-compat: bump version to 0.0.20200205Gravatar Peter Korsgaard2020-02-072-4/+4
| | | | | | | | | | | | Includes fixes for issues found through fuzzing. For details, see the announcement: https://lists.zx2c4.com/pipermail/wireguard/2020-February/004962.html While we are at it, adjust the white space in the .hash file to match the new agreements. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/wireguard-linux-compat: bump version to 0.0.20200128Gravatar Peter Korsgaard2020-01-302-3/+3
| | | | | | | | Fixes build issues with kernel 5.5. For details, see the announcement: https://lists.zx2c4.com/pipermail/wireguard/2020-January/004905.html Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/wireguard-linux-compat: bump to version 1.0-20200121Gravatar Peter Korsgaard2020-01-222-3/+3
| | | | | | | For details, see the announcement: https://lists.zx2c4.com/pipermail/wireguard/2020-January/004870.html Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package/wireguard-linux-compat: new packageGravatar Peter Korsgaard2020-01-093-0/+42
With the kernel support for WireGuard getting mainlined, the upstream repo has been split in a wireguard-tools repo for the userspace tooling and wireguard-linux-compat for the kernel side (for 3.10+ legacy kernels). Add a wireguard-linux-compat for the compatibility out-of-tree kernel module, and update the Config.in.legacy handling to use it. Signed-off-by: Peter Korsgaard <peter@korsgaard.com> Signed-off-by: Yann E. MORIN <yann.morin.1998@free.fr>